Wind River Support Network

HomeDefectsLIN5-15434
Fixed

LIN5-15434 : Security Advisory - perl - CVE-2012-5195

Created: Jan 3, 2013    Updated: Dec 19, 2017
Resolved Date: Jul 9, 2014
Previous ID: LIN3-8809
Found In Version: 5.0
Fix Version: 5.0.1.17
Severity: Severe
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

Heap-based buffer overflow in the Perl_repeatcpy function in util.c in Perl 5.12.x before 5.12.5, 5.14.x before 5.14.3, and 5.15.x before 15.15.5 allows context-dependent attackers to cause a denial of service (memory consumption and crash) or possibly execute arbitrary code via the 'x' string repeat operator.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2012-5195

Workaround

Unknown

Steps to Reproduce

Unknown

Other Downloads


Live chat
Online